﻿#language: ru

@tree

Функциональность: ПланВидовХарактеристик. Дымовые тесты

Сценарий: ПланВидовХарактеристик. Инициализация

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "ПланВидовХарактеристик. Дым"
	Дано Я отключаю все регламентные задания
	Дано Я устанавливаю время начала блока тестов
	Дано Я включаю все функциональные опции
	Дано я устанавливаю текущему сеансу заголовок приложения "ПланВидовХарактеристик. Дым"


Сценарий: Открытие формы списка плана видов характеристик "ВопросыДляАнкетирования"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.ВопросыДляАнкетирования"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик ВопросыДляАнкетирования"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "ВопросыДляАнкетирования"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.ВопросыДляАнкетирования"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик ВопросыДляАнкетирования"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка плана видов характеристик "ДополнительныеРеквизитыИСведения"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.ДополнительныеРеквизитыИСведения"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик ДополнительныеРеквизитыИСведения"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "ДополнительныеРеквизитыИСведения"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.ДополнительныеРеквизитыИСведения"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик ДополнительныеРеквизитыИСведения"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка плана видов характеристик "к2ВидыРезультатовАнализов"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.к2ВидыРезультатовАнализов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик к2ВидыРезультатовАнализов"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "к2ВидыРезультатовАнализов"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.к2ВидыРезультатовАнализов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик к2ВидыРезультатовАнализов"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка плана видов характеристик "к2СтатьиДоходов"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.к2СтатьиДоходов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик к2СтатьиДоходов"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "к2СтатьиДоходов"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.к2СтатьиДоходов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик к2СтатьиДоходов"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка плана видов характеристик "к2СтатьиЗатрат"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.к2СтатьиЗатрат"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик к2СтатьиЗатрат"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "к2СтатьиЗатрат"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.к2СтатьиЗатрат"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик к2СтатьиЗатрат"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка плана видов характеристик "КатегорииНовостей"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.КатегорииНовостей"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик КатегорииНовостей"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "КатегорииНовостей"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.КатегорииНовостей"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик КатегорииНовостей"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка плана видов характеристик "ОбъектыАдресацииЗадач"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.ОбъектыАдресацииЗадач"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик ОбъектыАдресацииЗадач"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "ОбъектыАдресацииЗадач"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.ОбъектыАдресацииЗадач"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик ОбъектыАдресацииЗадач"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка плана видов характеристик "РазделыДатЗапретаИзменения"

	Дано Я открываю навигационную ссылку "e1cib/list/ПланВидовХарактеристик.РазделыДатЗапретаИзменения"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка плана видов характеристик РазделыДатЗапретаИзменения"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта плана видов характеристик "РазделыДатЗапретаИзменения"

	Дано Я открываю навигационную ссылку "e1cib/data/ПланВидовХарактеристик.РазделыДатЗапретаИзменения"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта плана видов характеристик РазделыДатЗапретаИзменения"
	И Я закрываю текущее окно


Сценарий: ПланВидовХарактеристик. Обработка Журнал регистрации

	Дано В журнале регистрации "0" ошибок по текущему блоку
